package ar.com.supervielle.wsdl.servicios.integracion.cliente_v1;

import javax.jws.WebMethod;
import javax.jws.WebParam;
import javax.jws.WebService;
import javax.jws.soap.SOAPBinding;
import javax.xml.bind.annotation.XmlSeeAlso;

/**
 * This class was generated by Apache CXF 3.0.3
 * 2019-09-26T08:33:02.859-03:00
 * Generated source version: 3.0.3
 * 
 */
@WebService(targetNamespace = "http://www.supervielle.com.ar/wsdl/servicios/integracion/cliente-v1", name = "ClientePortType_v1.1")
@XmlSeeAlso({ar.com.supervielle.xsd.integracion.cliente.consultadatospersonajuridica_v1.ObjectFactory.class, ar.com.supervielle.xsd.integracion.cliente.altamodificacioncorreo_v1.ObjectFactory.class, ar.com.supervielle.xsd.integracion.cliente.consultadatospersona_v1.ObjectFactory.class, ar.com.supervielle.xsd.integracion.cliente.consultadatosadicionales_v1.ObjectFactory.class, ar.com.supervielle.xsd.integracion.cliente.consultapersonasxcuenta_v1.ObjectFactory.class, ar.com.supervielle.xsd.integracion.header_v1.ObjectFactory.class, ar.com.supervielle.xsd.integracion.cliente.consultaconvenios_v1.ObjectFactory.class, ar.com.supervielle.xsd.integracion.cliente.consultapersonaxdoc_v1.ObjectFactory.class, ar.com.supervielle.xsd.integracion.cliente.consolidarcliente_v1.ObjectFactory.class, ar.com.supervielle.xsd.integracion.cliente.consultaextensionpersona_v1.ObjectFactory.class, ar.com.supervielle.xsd.integracion.cliente.consultainfinpositiva_v1.ObjectFactory.class, ar.com.supervielle.xsd.integracion.transacciones.consultatransacciones_v1.ObjectFactory.class, ar.com.supervielle.xsd.integracion.cliente.consultadatosdomicilio_v1.ObjectFactory.class, ar.com.supervielle.xsd.integracion.cliente.consultapagosueldopersonajuridica_v1.ObjectFactory.class, ar.com.supervielle.xsd.integracion.cliente.consultaclientexcuenta_v1.ObjectFactory.class, ar.com.supervielle.xsd.integracion.cliente.consultacapacidadreducida_v1.ObjectFactory.class, ar.com.supervielle.xsd.integracion.cliente.consultadatospersonafisica_v1.ObjectFactory.class, ar.com.supervielle.xsd.integracion.cliente.consultadocidentificacion_v1.ObjectFactory.class, ar.com.supervielle.xsd.integracion.cliente.actualizacionmodular_v1.ObjectFactory.class, ar.com.supervielle.xsd.integracion.cliente.registracapacidadreducida_v1.ObjectFactory.class, ar.com.supervielle.xsd.integracion.cliente.consultaclientexnom_v1.ObjectFactory.class, ar.com.supervielle.xsd.integracion.common.commontypes_v1.ObjectFactory.class, ar.com.supervielle.xsd.integracion.cliente.consultaclientexdoc_v1.ObjectFactory.class, ar.com.supervielle.xsd.integracion.cliente.altamodificaciontelefono_v1.ObjectFactory.class, ar.com.supervielle.xsd.integracion.cliente.altapersona_v1.ObjectFactory.class, ar.com.supervielle.xsd.servicios.integracion.exception_v1.ObjectFactory.class, ar.com.supervielle.xsd.integracion.cliente.consultapersonasvinculadas_v1.ObjectFactory.class})
@SOAPBinding(parameterStyle = SOAPBinding.ParameterStyle.BARE)
public interface ClientePortTypeV11 {

    @WebMethod(action = "http://www.supervielle.com.ar/wsdl/servicios/integracion/cliente-v1/consultaDatosDomicilio")
    public void consultaDatosDomicilio(
        @WebParam(partName = "entrada", name = "ReqConsultaDatosDomicilio", targetNamespace = "http://www.supervielle.com.ar/xsd/Integracion/cliente/consultaDatosDomicilio-v1.1")
        ar.com.supervielle.xsd.integracion.cliente.consultadatosdomicilio_v1.ReqConsultaDatosDomicilio entrada,
        @WebParam(partName = "header", name = "soapHeaderReq", targetNamespace = "http://www.supervielle.com.ar/xsd/Integracion/Header-v1", header = true)
        ar.com.supervielle.xsd.integracion.header_v1.SoapHeaderReq header,
        @WebParam(partName = "salida", mode = WebParam.Mode.OUT, name = "RespConsultaDatosDomicilio", targetNamespace = "http://www.supervielle.com.ar/xsd/Integracion/cliente/consultaDatosDomicilio-v1.1")
        javax.xml.ws.Holder<ar.com.supervielle.xsd.integracion.cliente.consultadatosdomicilio_v1.RespConsultaDatosDomicilio> salida,
        @WebParam(partName = "header", mode = WebParam.Mode.OUT, name = "soapHeaderRes", targetNamespace = "http://www.supervielle.com.ar/xsd/Integracion/Header-v1", header = true)
        javax.xml.ws.Holder<ar.com.supervielle.xsd.integracion.header_v1.SoapHeaderRes> header1
    ) throws FaultMessage;

    @WebMethod(action = "http://www.supervielle.com.ar/wsdl/servicios/integracion/cliente-v1/consultaClientexDoc")
    public void consultaClientexDoc(
        @WebParam(partName = "entrada", name = "ReqConsultaClientexDoc", targetNamespace = "http://www.supervielle.com.ar/xsd/Integracion/cliente/consultaClientexDoc-v1.1")
        ar.com.supervielle.xsd.integracion.cliente.consultaclientexdoc_v1.ReqConsultaClientexDoc entrada,
        @WebParam(partName = "header", name = "soapHeaderReq", targetNamespace = "http://www.supervielle.com.ar/xsd/Integracion/Header-v1", header = true)
        ar.com.supervielle.xsd.integracion.header_v1.SoapHeaderReq header,
        @WebParam(partName = "salida", mode = WebParam.Mode.OUT, name = "RespConsultaClientexDoc", targetNamespace = "http://www.supervielle.com.ar/xsd/Integracion/cliente/consultaClientexDoc-v1.1")
        javax.xml.ws.Holder<ar.com.supervielle.xsd.integracion.cliente.consultaclientexdoc_v1.RespConsultaClientexDoc> salida,
        @WebParam(partName = "header", mode = WebParam.Mode.OUT, name = "soapHeaderRes", targetNamespace = "http://www.supervielle.com.ar/xsd/Integracion/Header-v1", header = true)
        javax.xml.ws.Holder<ar.com.supervielle.xsd.integracion.header_v1.SoapHeaderRes> header1
    ) throws FaultMessage;

    @WebMethod(action = "http://www.supervielle.com.ar/wsdl/servicios/integracion/cliente-v1/consolidarCliente")
    public void consolidarCliente(
        @WebParam(partName = "entrada", name = "ReqConsolidarCliente", targetNamespace = "http://www.supervielle.com.ar/xsd/Integracion/cliente/consolidarCliente-v1.1")
        ar.com.supervielle.xsd.integracion.cliente.consolidarcliente_v1.ReqConsolidarCliente2 entrada,
        @WebParam(partName = "header", name = "soapHeaderReq", targetNamespace = "http://www.supervielle.com.ar/xsd/Integracion/Header-v1", header = true)
        ar.com.supervielle.xsd.integracion.header_v1.SoapHeaderReq header,
        @WebParam(partName = "salida", mode = WebParam.Mode.OUT, name = "RespConsolidarCliente", targetNamespace = "http://www.supervielle.com.ar/xsd/Integracion/cliente/consolidarCliente-v1.1")
        javax.xml.ws.Holder<ar.com.supervielle.xsd.integracion.cliente.consolidarcliente_v1.RespConsolidarCliente2> salida,
        @WebParam(partName = "header", mode = WebParam.Mode.OUT, name = "soapHeaderRes", targetNamespace = "http://www.supervielle.com.ar/xsd/Integracion/Header-v1", header = true)
        javax.xml.ws.Holder<ar.com.supervielle.xsd.integracion.header_v1.SoapHeaderRes> header1
    ) throws FaultMessage;

    @WebMethod(action = "http://www.supervielle.com.ar/wsdl/servicios/integracion/cliente-v1/consultaDatosPersona")
    public void consultaDatosPersona(
        @WebParam(partName = "entrada", name = "ReqConsultaDatosPersona", targetNamespace = "http://www.supervielle.com.ar/xsd/Integracion/cliente/consultaDatosPersona-v1.1")
        ar.com.supervielle.xsd.integracion.cliente.consultadatospersona_v1.ReqConsultaDatosPersona2 entrada,
        @WebParam(partName = "header", name = "soapHeaderReq", targetNamespace = "http://www.supervielle.com.ar/xsd/Integracion/Header-v1", header = true)
        ar.com.supervielle.xsd.integracion.header_v1.SoapHeaderReq header,
        @WebParam(partName = "salida", mode = WebParam.Mode.OUT, name = "RespConsultaDatosPersona", targetNamespace = "http://www.supervielle.com.ar/xsd/Integracion/cliente/consultaDatosPersona-v1.1")
        javax.xml.ws.Holder<ar.com.supervielle.xsd.integracion.cliente.consultadatospersona_v1.RespConsultaDatosPersona2> salida,
        @WebParam(partName = "header", mode = WebParam.Mode.OUT, name = "soapHeaderRes", targetNamespace = "http://www.supervielle.com.ar/xsd/Integracion/Header-v1", header = true)
        javax.xml.ws.Holder<ar.com.supervielle.xsd.integracion.header_v1.SoapHeaderRes> header1
    ) throws FaultMessage;
}
